/*
 QuitCmd.cc

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#include <unistd.h>
#include "QuitCmd.h"

#define QUITQUESTION "Really quit?"


QuitCmd::QuitCmd ( const char *name, int active ) : WarnNoUndoCmd ( name, active )
{
	setQuestion ( QUITQUESTION );
}

void QuitCmd::doCommand()
{
	_exit ( 0 );	// exit
}

/*
  Notes:

  doCommand() calls exit(); this member function is only called if the user
  provides affirmation in the AskFirstCmd class dialog.
*/
